<?php
session_start();

include('assets/includes/db.php');
include('assets/includes/config.php');

if($_ERRORS == true){
    error_reporting(E_ALL);
    ini_set('display_errors', 1);
}

if (!isset($_SESSION['loggedin']) && $_SESSION['loggedin'] != true) {
    header("location: logout.php");
}

?>
<!doctype html>
<html lang="en">

<head>

    <?php include('assets/includes/title-meta.php') ?>

    <?php include('assets/includes/head-css.php') ?>

</head>

<body data-sidebar="dark">

    <!-- Loader -->
    <div id="preloader">
        <div id="status">
            <div class="spinner">
                <i class="ri-loader-line spin-icon"></i>
            </div>
        </div>
    </div>

    <div id="layout-wrapper">

        <?php include('assets/includes/topbar.php') ?>

        <?php include('assets/includes/sidebar.php') ?>

        <div class="main-content">

            <div class="page-content">
                <div class="container-fluid">

                    <div class="row">
                        <div class="col-12">
                            <div class="page-title-box d-flex align-items-center justify-content-between">
                                <h4 class="mb-0"> </h4>

                                <div class="page-title-right">
                                    <ol class="breadcrumb m-0">
                                        <li class="breadcrumb-item"><a href="javascript: void(0);">IPTV Purple Player</a></li>
                                        <li class="breadcrumb-item active">Announcements</li>
                                    </ol>
                                </div>

                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-12">
                            <div class="card">
                                <div class="card-body">

                                    <div class="col-12 d-flex mx-auto">

                                        <div class="card-body">
                                            <div class="col-md-12">

                                                <div class="row">
                                                    <div class="col-12 col-md-4">
                                                        <div class="card">
                                                            <div class="card-body">
                                                                <h5 class="card-title">Add Announcement</h5>
                                                                <hr class="mt-0" />
                                                                <form method="POST" action="" id="announcementForm">
                                                                    <div class="form-row">
                                                                        <div class="form-group col-12">
                                                                            <label for="announceTitle">Title *</label>
                                                                            <input type="text" id="announceTitle" name="title" class="form-control" required="" />
                                                                        </div>
                                                                        <div class="form-group col-12">
                                                                            <label for="shortDesc">Short Description *</label>
                                                                            <textarea name="short_description" id="shortDesc" rows="5" class="form-control" required=""></textarea>
                                                                        </div>
                                                                        <div class="form-group col-12">
                                                                            <label for="announceImage">Image <small>(Optional)</small></label>
                                                                            <input type="text" id="announceImage" name="image" class="form-control" />
                                                                        </div>
                                                                        <div class="form-group col-12">
                                                                            <hr class="mt-0" />
                                                                            <div class="form-group">
                                                                                <div class="d-vertical-center">
                                                                                    <label class="mb-0 mr-2">Status</label>
                                                                                    <div class="square-switch float-right">
                                                                                        <input type="checkbox" id="announcementStatus" name="status" switch="bool" />
                                                                                        <label for="switch-radio-three" data-on-label="Yes" data-off-label="No"></label>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                            <hr class="my-0" />
                                                                        </div>
                                                                        <div class="form-group col-12">
                                                                            <hr class="mt-0" />
                                                                            <div class="form-group">
                                                                                <div class="d-vertical-center">
                                                                                    <label class="mb-0 mr-2">Popup</label>
                                                                                    <div class="square-switch float-right">
                                                                                        <input type="checkbox" id="announcementPopup" name="popup" switch="bool" />
                                                                                        <label for="switch-radio-three" data-on-label="Yes" data-off-label="No"></label>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                            <hr class="my-0" />
                                                                        </div>
                                                                        <div class="form-group col-12">
                                                                            <hr class="mt-0" />
                                                                            <div class="form-group">
                                                                                <div class="d-vertical-center">
                                                                                    <label class="mb-0 mr-2">Ticker</label>
                                                                                    <div class="square-switch float-right">
                                                                                        <input type="checkbox" id="announcementTicker" name="ticker" switch="bool" />
                                                                                        <label for="switch-radio-three" data-on-label="Yes" data-off-label="No"></label>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                            <hr class="my-0" />
                                                                        </div>
                                                                    </div>
                                                                    <div class="text-center">
                                                                        <button type="submit" id="btnSaveAnnouncement" class="btn btn-primary">Send</button>
                                                                    </div>
                                                                </form>
                                                            </div>
                                                        </div>
                                                    </div>

                                                    <div class="col-12 col-md-8">
                                                        <div class="card">
                                                            <div class="card-body">
                                                                <h5 class="card-title">Announcements</h5>
                                                                <hr class="mt-0" />

                                                                <div class="table-responsive no-padding">
                                                                    <table id="datatable-buttons" class="table dt-responsive table-striped table-bordered nowrap" style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                                                        <thead>
                                                                            <tr>
                                                                                <th>#</th>
                                                                                <th>Title</th>
                                                                                <th>Short Description</th>
                                                                                <th>Image</th>
                                                                                <th>Status</th>
                                                                                <th>Sent Users</th>
                                                                                <th>Received Users</th>
                                                                                <th>Click Users</th>
                                                                                <th>Action</th>
                                                                            </tr>
                                                                        </thead>
                                                                    </table>
                                                                </div>

                                                            </div>
                                                        </div>
                                                    </div>

                                                </div>

                                            </div>
                                        </div>

                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <?php include('assets/includes/footer.php'); ?>
        </div>

    </div>

    <?php include('assets/includes/right-sidebar.php'); ?>

    <?php include('assets/includes/vendor-scripts.php'); ?>

    <script src="./assets/js/app.js"></script>

</body>

</html>