<?php
session_start();

include('assets/includes/db.php');
include('assets/includes/config.php');

if($_ERRORS == true){
    error_reporting(E_ALL);
    ini_set('display_errors', 1);
}

if (!isset($_SESSION['loggedin']) && $_SESSION['loggedin'] != true) {
    header("location: logout.php");
}

if (isset($_POST['post_add_maintenance'])) {
    $sql = "REPLACE INTO purple_maintenance_msg(";
    $sql .= "title, ";
    $sql .= "short_description, ";
    $sql .= "image, ";
    $sql .= "created_at) ";
    $sql .= "VALUES (";
    $sql .= "'" . $_POST['title'] . "', ";
    $sql .= "'" . $_POST['short_description'] . "', ";
    $sql .= "'" . $_POST['image'] . "', ";
    $sql .= "'" . date('Y-m-d H:i:s') . "');";
    $sqlite3->exec($sql);

    header('Location: purple_maintenance.php');
}

if (isset($_POST['delete_id'])) {
    $sql = "DELETE FROM purple_maintenance_msg ";
    $sql .= "WHERE id = " . $_POST['delete_id'] . ";";
    $sqlite3->exec($sql);

    header("Location: purple_maintenance.php");
}

?>
<!doctype html>
<html lang="en">

<head>

    <?php include('assets/includes/title-meta.php') ?>

    <?php include('assets/includes/head-css.php') ?>

</head>

<body data-sidebar="dark">

    <!-- Loader -->
    <div id="preloader">
        <div id="status">
            <div class="spinner">
                <i class="ri-loader-line spin-icon"></i>
            </div>
        </div>
    </div>

    <div id="layout-wrapper">

        <?php include('assets/includes/topbar.php') ?>

        <?php include('assets/includes/sidebar.php') ?>

        <div class="main-content">

            <div class="page-content">
                <div class="container-fluid">

                    <div class="row">
                        <div class="col-12">
                            <div class="page-title-box d-flex align-items-center justify-content-between">
                                <h4 class="mb-0"> </h4>

                                <div class="page-title-right">
                                    <ol class="breadcrumb m-0">
                                        <li class="breadcrumb-item"><a href="javascript: void(0);">IPTV Purple Player</a></li>
                                        <li class="breadcrumb-item active">Maintenance</li>
                                    </ol>
                                </div>

                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-12">
                            <div class="card">
                                <div class="card-body">

                                    <div class="col-12 d-flex mx-auto">

                                        <div class="card-body">
                                            <div class="col-md-12">

                                                <div class="row">
                                                    <div class="col-12 col-md-4">
                                                        <div class="card">
                                                            <div class="card-body">
                                                                <h5 class="card-title">Add Maintenance</h5>
                                                                <hr class="mt-0" />
                                                                <form method="POST" id="post_add_maintenance">
                                                                    <div class="form-row">
                                                                        <div class="form-group col-12">
                                                                            <label for="title">Title</label>
                                                                            <input type="text" id="title" name="title" class="form-control" required="" />
                                                                        </div>
                                                                        <div class="form-group col-12">
                                                                            <label for="short_description">Short Description</label>
                                                                            <textarea name="short_description" id="short_description" rows="5" class="form-control" required=""></textarea>
                                                                        </div>
                                                                        <div class="form-group col-12">
                                                                            <label for="image">Image <small>(Optional)</small></label>
                                                                            <input type="text" id="image" name="image" class="form-control" />
                                                                        </div>
                                                                        <hr class="my-0" />
                                                                    </div>
                                                                    <div class="text-center">
                                                                        <button type="submit" name="post_add_maintenance" class="btn btn-primary">
                                                                            Send
                                                                        </button>
                                                                    </div>
                                                                </form>
                                                            </div>
                                                        </div>
                                                    </div>

                                                    <div class="col-12 col-md-8">
                                                        <div class="card">
                                                            <div class="card-body">
                                                                <h5 class="card-title">Maintenance</h5>
                                                                <hr class="mt-0" />
                                                                <div class="table-responsive no-padding">
                                                                    <table id="datatable" class="table dt-responsive table-striped table-bordered nowrap" style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                                                        <thead>
                                                                            <tr>
                                                                                <th hidden>#</th>
                                                                                <th>Title</th>
                                                                                <th>Short Description</th>
                                                                                <th>Image</th>
                                                                                <th>Actions</th>
                                                                            </tr>
                                                                        </thead>
                                                                        <tbody>
                                                                            <?php while ($row = $purple_maintenance_msg_data->fetchArray()) { ?>
                                                                                <tr>
                                                                                    <td hidden><?php echo $row['id']; ?></td>
                                                                                    <td><?php echo $row['title']; ?></td>
                                                                                    <td><?php echo $row['short_description']; ?></td>
                                                                                    <td><?php echo $row['image']; ?></td>
                                                                                    <td>
                                                                                        <button type="button" data-toggle="modal" class="edit-button btn-sm btn-primary waves-effect waves-light"><i class="dripicons-document-edit"></i></button>
                                                                                        <button type="button" data-toggle="modal" data-target="#delete_modal" class="delete-button btn-sm btn-danger waves-effect waves-light"><i class="dripicons-document-delete"></i></button>
                                                                                    </td>
                                                                                </tr>
                                                                            <?php } ?>
                                                                        </tbody>
                                                                    </table>
                                                                </div>
                                                            </div>
                                                        </div>

                                                        <div class="modal fade" id="delete_modal" tabindex="-1" role="dialog" aria-labelledby="deleteModalLabel" aria-hidden="true">
                                                            <div class="modal-dialog modal-dialog-centered" role="document">
                                                                <div class="modal-content">
                                                                    <div class="modal-header border-bottom-0">
                                                                        <h5 class="modal-title" id="deleteModalLabel">Delete Changelog</h5>
                                                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                            <span class="text-danger" aria-hidden="true">&times;</span>
                                                                        </button>
                                                                    </div>
                                                                    <form method="POST">
                                                                        <div class="modal-body">
                                                                            <div class="form-group" hidden>
                                                                                <input type="text" class="form-control" id="delete_id" name="delete_id">
                                                                            </div>
                                                                            <h3 class="text-center mt-4">Are you sure?</h3>
                                                                        </div>
                                                                        <div class="modal-footer text-center mt-4">
                                                                            <button type="submit" name="delete_msg" class="btn-sm btn-danger">Delete</button>
                                                                        </div>
                                                                    </form>
                                                                </div>
                                                            </div>
                                                        </div>

                                                        <script>
                                                            $(function() {
                                                                $(".edit-button").on('click', function() {
                                                                    var currentRow = $(this).closest("tr");
                                                                    var id = currentRow.find("td:eq(0)").text();
                                                                    var title = currentRow.find("td:eq(1)").text();
                                                                    var short_description = currentRow.find("td:eq(2)").text();
                                                                    var image = currentRow.find("td:eq(3)").text();
                                                                    $("#id").val(id);
                                                                    $("#title").val(title);
                                                                    $("#short_description").val(short_description);
                                                                    $("#image").val(image);
                                                                });
                                                                $(".delete-button").on('click', function() {
                                                                    var currentRow = $(this).closest("tr");
                                                                    var id = currentRow.find("td:eq(0)").text();
                                                                    $("#delete_id").val(id);
                                                                });
                                                            });
                                                        </script>
                                                    </div>
                                                </div>

                                            </div>
                                        </div>

                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    <?php include('assets/includes/footer.php'); ?>
    </div>

    </div>

    <?php include('assets/includes/right-sidebar.php'); ?>

    <?php include('assets/includes/vendor-scripts.php'); ?>

    <script src="./assets/js/app.js"></script>

</body>

</html>